This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 33326

Summary: *-test.jar ignoring by module system should be documented
Product: platform Reporter: David Strupl <dstrupl>
Component: Module SystemAssignee: Jesse Glick <jglick>
Status: VERIFIED FIXED    
Severity: blocker Keywords: SIMPLEFIX
Priority: P3    
Version: 3.x   
Hardware: All   
OS: All   
Issue Type: DEFECT Exception Reporter:

Description David Strupl 2003-04-30 18:41:32 UTC
While trying to write tests I have created a
testing module named
enode-test.jar. I was very surprised that the
module system had silently
ignored my module. After some investigation
(actaully wasted several
hours) I have found mysterious line 387 (release35
branch) in
 org.netbeans.core.modules.Util. I beleive that
this should be documented
 somewhere! No level of logging will tell you
anything about jar file named
 *-test.jar.
Comment 1 Jesse Glick 2003-06-06 21:29:36 UTC
I guess I will just put the *-test.jar into /tmp instead. Makes things
simpler. The only reason they were originally in the same dir as the
module itself is that we were using URLClassLoader and Class-Path
extensions would not work otherwise. But
org.netbeans.core.modules.Module has for a while now directly
interpreted this header, so there is no other reason to keep the test
JARs colocated that I am aware of.
Comment 2 Jesse Glick 2003-06-07 03:26:17 UTC
committed   * Up-To-Date  1.2        
apisupport/src/org/netbeans/modules/apisupport/manifests/ModuleDataLoader.java
committed   * Up-To-Date  1.21       
core/src/org/netbeans/core/modules/Util.java
Comment 3 Jesse Glick 2003-06-20 23:04:08 UTC
apisupport/ant/src/org/netbeans/modules/apisupport/ant/AntScript.xml_
rev. 1.3 is also related.
Comment 4 Marian Mirilovic 2005-07-13 13:26:26 UTC
closed